/* 指定RAMDISKのドライブ番号を返す */
/* 複数RAMDISK対応 */

#include <doslibm.h>
#include "defines.h"

int get_ramdisk(int drive)
/* drive : 0-5 */
{
unint i;
_DPBPTR dpbptr;
	/* ドライブ番号チェック */
	if (drive<0||drive>5) return(0); /* ドライブ番号異常 */
	
	for (i=1;i<=26;i++) { /* drive A:〜Z: */
		GETDPB(i,&dpbptr);
		if (dpbptr.id==0xf9) {
			if (drive==0) return(i); /* 指定番目のRAMDISKがあればリターン */
			drive--;
		}
	}
	return(0);
}
